Description

Sometimes legend titles are not needed, sometimes rather long legend titles are needed. QGIS' Legend Title does not handle these
cases well.

1. The Print Composer does not provide a way to wrap long legend titles to multiple lines.

2. Print Composer leaves space for a title at the top of the legend even if there is no legend text. It would be very useful if there were a
"Show Title" checkbox in the General Tab to turn on and off the legend title and the space reserved for the legend title. This would be the
same as the "Show Frame" check box in the Item Options tab.

Steps to Reproduce:

Open a map with at least one layer,

Open a Print Composer,

Add a new vector legend

Click on Item Tab (right side menu)

Click on Item Options tab - this is the "Show frame" check box

Click on General - this is where the "Show title" check box should be

1. If you type a very long title, there is no way to wrap the text

2. If you delete the title text, the space in the legend for the title still exists (see screenshots)
The closest | could get to removing the extra white space at the top of the legend was setting the title font size to 1, but that still leaves
extra white space at the top of the legend, an on/off button would be much better.

Associated revisions

Revision f73526ab - 2012-02-11 06:30 AM - Nathan Woodrow

Don't leave space for empty title. Semi fixes #3484

History

#1 - 2011-12-16 01:49 PM - Giovanni Manghi
- Target version changed from Version 1.7.0 to Veersion 1.7.4

#2 - 2012-02-07 01:06 AM - Nathan Woodrow

- Pull Request or Patch supplied set to No

- Assignee changed from nobody - to Nathan Woodrow

Working on some of these features now.

Mainly text wrapping to start with. The I'll see about the others.
#3 - 2012-02-07 01:06 AM - Nathan Woodrow
- Target version changed from Version 1.7.4 to Version 1.8.0

#4 - 2012-02-10 09:31 PM - Nathan Woodrow

- Status changed from Open to Closed
- % Done changed from 0 to 100

Fixed in changeset commit:"f73526ab0996ff67f472d945906d4548baa%9e3c2".

#5 - 2012-02-10 09:54 PM - Nathan Woodrow

also some fixes in commit:afc90ab0e27b2
